Docs
Get Payment Methods
GET /payment-methods
GET
/payment-methodsLists the organization's saved payment methods (cards and bank accounts) and which one is the default. Requires OrganizationAdmin. The ids it returns are the payment method ids other operations take.
Response
Type: GetPaymentMethodResponse[]
GetPaymentMethodResponse
| Field | Type | Description |
|---|---|---|
| id | string| null | |
| type | string| null | |
| isDefault | boolean | |
| card | GetPaymentMethodResponseCardInfo | |
| bankAccount | GetPaymentMethodResponseBankAccountInfo |
GetPaymentMethodResponseCardInfo
| Field | Type | Description |
|---|---|---|
| brand | string| null | |
| last4 | string| null | |
| expMonth | integer | |
| expYear | integer |
GetPaymentMethodResponseBankAccountInfo
| Field | Type | Description |
|---|---|---|
| bankName | string| null | |
| last4 | string| null | |
| accountType | string| null |